gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object A group of actions

Actions are organised into groups. An action group is essentially a map from names to objects.

All actions that would make sense to use in a particular context should be in a single group. Multiple action groups may be used for a particular user interface. In fact, it is expected that most nontrivial applications will make use of multiple groups. For example, in an application that can edit multiple documents, one group holding global actions (e.g. quit, about, new), and one group per document holding actions that act on that document (eg. save, cut/copy/paste, etc). Each window's menus would be constructed from a combination of two action groups.

Accelerators are handled by the Gtk accelerator map. All actions are assigned an accelerator path (which normally has the form <Actions>/group-name/action-name) and a shortcut is associated with this accelerator path. All menuitems and toolitems take on this accelerator path. The Gtk accelerator map code makes sure that the correct shortcut is displayed next to the menu item.

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Internal constructor
- Constructor
  2.12.0.0
  a
  Internal constructor
- Constructor
  2.12.0.0
  a , the name of the action group.
  Creates a new object.
  The name of the action group is used when associating keybindings with the actions.
- Method
  2.12.0.0
  System.Void `` a Adds an action object to the action group. Note that this function does not set up the accel path of the action, which can lead to problems if a user tries to modify the accelerator of a menuitem associated with the action. Therefore you must either set the accel path yourself with , or use .
- Method
  2.12.0.0
  System.Void `` a Ease of use function for adding multiple s in a single call using the struct.
- Method
  2.12.0.0
  System.Void `` a Ease of use function for adding multiple s in a single call using the struct.
- Method
  2.12.0.0
  System.Void `` `` a a . The accelerator for the action, in the format understood by , or "" for no accelerator, or to use the stock accelerator Adds an action object to the action group and sets up the accelerator.

  If accelerator is , attempts to use the accelerator associated with the stock_id of the action.

  Accel paths are set to <Actions>/group-name/action-name.

- Method
  2.12.0.0
  System.Void `` `` `` a a a Ease of use function for adding multiple s in a single call using the struct.
- Event
  2.12.0.0
  GLib.Signal("connect_proxy")
  Gtk.ConnectProxyHandler The ConnectProxy signal is emitted after connecting a proxy to an action in the group. This is intended for simple customizations for which a custom action class would be too clumsy, e.g. showing tooltips for menuitems in the statusbar.
- Event
  2.12.0.0
  GLib.Signal("disconnect_proxy")
  Gtk.DisconnectProxyHandler The DisconnectProxy signal is emitted after disconnecting a proxy from an action in the group.
- Method
  2.12.0.0
  Gtk.Action `` a , the name of the action Looks up an action in the action group by name. a , or if no action by that name exists
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  Gtk.Action `` a Returns the with the specified name. a See for more info.
- Method
  2.12.0.0
  Gtk.Action[] Gets a list of the s in the . a
- Property
  2.12.0.0
  GLib.Property("name")
  System.String Gets the name of the action group. a
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideConnectProxy", Type=typeof(Gtk.ActionGroup))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDisconnectProxy", Type=typeof(Gtk.ActionGroup))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePostActivate", Type=typeof(Gtk.ActionGroup))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePreActivate", Type=typeof(Gtk.ActionGroup))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Event
  2.12.0.0
  GLib.Signal("post_activate")
  Gtk.PostActivateHandler The PostActivate signal is emitted just after the action is activated. This is intended for applications to get notification just after any action is activated.
- Event
  2.12.0.0
  GLib.Signal("pre_activate")
  Gtk.PreActivateHandler The PreActivate signal is emitted just before the action is activated. This is intended for applications to get notification just before any action is activated.
- Method
  2.12.0.0
  System.Void `` a Removes an action object from the action group.
- Property
  2.12.0.0
  GLib.Property("sensitive")
  System.Boolean The sensitivity of the ActionGroup a The constituent actions can only be logically sensitive (see ) if they are sensitive (see ) and their group is sensitive.
- Property
  2.12.0.0
  Gtk.TranslateFunc Function to be used for translating the label and tooltip of GtkActionGroupEntrys added by . a If you are using gettext(), it is enough to set the translation domain with .
- Method
  2.12.0.0
  System.String `` A string. Translates a string using the specified . The translation of . This is mainly intended for language bindings.
- Property
  2.12.0.0
  System.String Sets the translation domain and uses dgettext() for translating the label and tooltip of s added by . a
- Property
  2.12.0.0
  GLib.Property("visible")
  System.Boolean The visibility of the ActionGroup a The constituent actions can only be logically visible (see ) if they are visible (see ) and their group is visible.